/* svoperators/svoperators.h        */
/* Version    : 9.1                 */
/* Date       : 24.09.1994          */
/* Written by : Andreas R. Kleinert */

/* SVOperator-Version V1.x+ */

#ifndef SVOPERATORS_SVOPERATORS_H
#define SVOPERATORS_SVOPERATORS_H


struct SVP_OperatorNode
{
 struct Node svp_Node;              /* chaining Node                         */
                                    /* (svp_Node->ln_Name is NULL            */
                                    /*  by default !)                        */

 ULONG svp_Version;                 /* Library-Version of svoperator         */

 UBYTE svp_FileName [108];          /* use 30, as in struct FileInfoBlock    */

 UBYTE svp_Description [80];        /* e.g. "HAM8 -> HAM6"                   */
 UBYTE svp_Author      [80];        /* e.g. "me :-)"                         */

 ULONG svp_Flags;                   /* SVP_FLAG_... (see below)              */
};

#define SVP_VERSION (1)             /* If this Version, which depends on the */
                                    /* svobject's Library-Version, is set,   */
                                    /* it is guaranteed, that at least the   */
                                    /* above information is available.       */

#define SVP_FLAGS_RESERVED (0xFFFFFFFF) /* none used yet */

#endif /* SVOPERATORS_SVOPERATORS_H */
